Contents
Index 🔎︎

# Type Statement

Define non-UNO data structures.

A Type structure is an ordered collection of data fields, that can be manipulated as a single item.

### Syntax:

             Type struct_name
                 DataField1 As TypeName1
                 DataField2 As TypeName2
                 (...)
             End Type ' struct_name

A Type structure scope is that of the module it belongs to.

### Example:

             Type Customer
                 Name1 As String
                 City As String
             End Type ' Customer structure
             Sub setCustomer
                 Dim oCustomer as New Customer
                 oCustomer.Name1 = "The Document Foundation"
                 oCustomer.City = "Berlin"
             End Sub

Enumerations can be created using Type statement definitions. Calling Python Scripts from Basic illustrates that mechanism.

Chủ đề Liên quan

CreateObject function